Subject: RE: [newtrk] ISD format definition format

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Wed, 16 Mar 2005 13:36:45 -0800

As a designer of XML based protocols I second that. XML Schema is the future
of XML. The DTD mechanism may well be dropped in a future version of XML.
The only thing it appears to have in its favor is the ability to define
additional entity types.

That aside, the move to XML is long overdue and should be wellcomed. Many of
the RFC editor functions that are causing such a backlog in the editor queue
could be automated if an XML document format were used. And the IANA section
of the report could be implemented automatically.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Joel M. Halpern
> Sent: Wednesday, March 16, 2005 4:11 PM
> To: [email-masked]
> Subject: [newtrk] ISD format definition format
> 
> 
> This is admittedly a minor issue.
> But since it really bothers me, I thought I should say 
> something. drft-ietf-newtrk-repurposing-isd-02.txt says that 
> the ISD shall be XML, 
> conforming to an appropriate and IESG-designated, Document 
> Type Definition 
> (DTD).
> 
> There has been noticeable discussion of the fact that the 
> design of the 
> format, while it needs IESG approval, really ought to be done my the 
> working group.  I agree that proposing the format is the WG 
> jobs.  That's 
> not what is bothering me.
> 
> Can we please use XML Schema rather than a DTD?
> I personally find XML Schema easy to use, and DTDs very hard 
> to understand. I also find I can come closer to describing 
> the actual semantic constraints 
> using XML schema.
> 
> Thank you,
> Joel
> 
> .
> newtrk resources:_____________________________________________________
> web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
> mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html
> 
.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html